# {{ ansible_managed }}

[Unit]
Description=CoreMedia {{ role_name }} - {{ application_version }}
After=syslog.target network.target

[Service]
Type=simple
User={{ role_name }}
Group=coremedia
WorkingDirectory={{ coremedia_home_directory }}/{{ role_name }}

UMask=0002
SyslogIdentifier="{{ role_name }}"

EnvironmentFile=-/etc/coremedia/{{ role_name }}.conf

ExecStartPre=/bin/bash -l -c 'echo "{{ java_home }}/bin/java \
  ${SPRING_BOOT_MEMORY} \
  ${SPRING_BOOT_COREM_HOME} \
  ${SPRING_BOOT_LOGGING} \
  ${SPRING_BOOT_NETWORK} \
  ${SPRING_BOOT_OOM} \
  ${SPRING_BOOT_JMXREMOTE} \
  ${RMI_SERVER_NAME} \
  ${SPRING_BOOT_OPTS} \
  -jar {{ coremedia_home_directory }}/{{ role_name }}/{{ role_name }}.jar" > /tmp/systemd_{{ role_name}}.debug'

ExecStart={{ java_home }}/bin/java $SPRING_BOOT_MEMORY $SPRING_BOOT_COREM_HOME $SPRING_BOOT_LOGGING $SPRING_BOOT_NETWORK $SPRING_BOOT_OOM $SPRING_BOOT_JMXREMOTE $RMI_SERVER_NAME $SPRING_BOOT_OPTS -jar {{ coremedia_home_directory }}/{{ role_name }}/{{ role_name }}.jar

ExecStartPre={{ coremedia_home_directory }}/{{ role_name }}/bin/pre-start-check.sh
# ExecStartPost={{ coremedia_home_directory }}/{{ role_name }}/bin/post-start-check.sh

[Install]
WantedBy=multi-user.target
